# FlagKit ![SE](https://github.com/madebybowtie/FlagKit/blob/master/Images/SE@2x.png)

Beautiful flag icons for usage in apps and on the web.

## Installation (iOS/OSX)
#### `FlagKit.xcassets`
Just add `FlagKit.xcassets` to your target.
#### Carthage
Add FlagKit to your `Cartfile`:
```
github "madebybowtie/FlagKit"
```
#### CocoaPods
Add FlagKit to your `Podfile`:
```
pod 'FlagKit'
```

## Usage (iOS/OSX)
For OSX, just replace `UIImage` with `NSImage` below

Get an icon for your locale or a world flag:
```swift
UIImage(flagImageWithCountryCode: NSLocale.autoupdatingCurrentLocale().objectForKey(NSLocaleCountryCode) as! String)
UIImage(flagImageForSpecialFlag: .World)
```
```objc
[UIImage flagImageWithCountryCode:[[NSLocale autoupdatingCurrentLocale] objectForKey:NSLocaleCountryCode]];
```
If you are just adding `FlagKit.xcassets` to you target, you can simply use the standard `UIImage/NSImage` methods:
```swift
UIImage(named: NSLocale.autoupdatingCurrentLocale().objectForKey(NSLocaleCountryCode) as! String)
```
```objc
[UIImage imageNamed:[[NSLocale autoupdatingCurrentLocale] objectForKey:NSLocaleCountryCode]];
```

## Sketch

To be able to open the Sketch-file make sure you're running the latest version or the beta version [Sketch Beta](http://www.bohemiancoding.com/sketch/beta/).

## More Info

Have a question? Please [open an issue](https://github.com/madebybowtie/FlagKit/issues/new)!

## Reference

This set currently includes the 255 flags below:

| Flag | Code | Region |
| :-------------: | :-------------: | ------------- |
| ![CH2](Images/CH2@2x.png?raw=true) | CH2 | Switzerland (Square) |
| ![EU](Images/EU@2x.png?raw=true) | EU | European Union |
| ![GB-ENG](Images/GB-ENG@2x.png?raw=true) | GB-ENG | England |
| ![GB-SCT](Images/GB-SCT@2x.png?raw=true) | GB-SCT | Scotland |
| ![GB-WLS](Images/GB-WLS@2x.png?raw=true) | GB-WLS | Wales |
| ![LGBT](Images/LGBT@2x.png?raw=true) | LGBT | Pride |
| ![SE-SKA](Images/SE-SKA@2x.png?raw=true) | SE-SKA | Skåne |
| ![US-CA](Images/US-CA@2x.png?raw=true) | US-CA | California |
| ![WW-AFR](Images/WW-AFR@2x.png?raw=true) | WW-AFR | Africa |
| ![WW-ASI](Images/WW-ASI@2x.png?raw=true) | WW-ASI | Asia |
| ![WW-AUS](Images/WW-AUS@2x.png?raw=true) | WW-AUS | Australia |
| ![WW-EUR](Images/WW-EUR@2x.png?raw=true) | WW-EUR | Europe |
| ![WW-NAM](Images/WW-NAM@2x.png?raw=true) | WW-NAM | North America |
| ![WW-SAM](Images/WW-SAM@2x.png?raw=true) | WW-SAM | South America |
| ![WW](Images/WW@2x.png?raw=true) | WW | World |


| Flag | Code | Country |
| :-------------: | :-------------: | ------------- |
| ![AD](Images/AD@2x.png?raw=true) | AD | Andorra |
| ![AE](Images/AE@2x.png?raw=true) | AE | United Arab Emirates |
| ![AF](Images/AF@2x.png?raw=true) | AF | Afghanistan |
| ![AG](Images/AG@2x.png?raw=true) | AG | Antigua & Barbuda |
| ![AI](Images/AI@2x.png?raw=true) | AI | Anguilla |
| ![AL](Images/AL@2x.png?raw=true) | AL | Albania |
| ![AM](Images/AM@2x.png?raw=true) | AM | Armenia |
| ![AO](Images/AO@2x.png?raw=true) | AO | Angola |
| ![AR](Images/AR@2x.png?raw=true) | AR | Argentina |
| ![AS](Images/AS@2x.png?raw=true) | AS | American Samoa |
| ![AT](Images/AT@2x.png?raw=true) | AT | Austria |
| ![AU](Images/AU@2x.png?raw=true) | AU | Australia |
| ![AX](Images/AX@2x.png?raw=true) | AX | Åland Islands |
| ![AZ](Images/AZ@2x.png?raw=true) | AZ | Azerbaijan |
| ![BA](Images/BA@2x.png?raw=true) | BA | Bosnia & Herzegovina |
| ![BB](Images/BB@2x.png?raw=true) | BB | Barbados |
| ![BD](Images/BD@2x.png?raw=true) | BD | Bangladesh |
| ![BE](Images/BE@2x.png?raw=true) | BE | Belgium |
| ![BF](Images/BF@2x.png?raw=true) | BF | Burkina Faso |
| ![BG](Images/BG@2x.png?raw=true) | BG | Bulgaria |
| ![BH](Images/BH@2x.png?raw=true) | BH | Bahrain |
| ![BI](Images/BI@2x.png?raw=true) | BI | Burundi |
| ![BJ](Images/BJ@2x.png?raw=true) | BJ | Benin |
| ![BL](Images/BL@2x.png?raw=true) | BL | St. Barthélemy |
| ![BM](Images/BM@2x.png?raw=true) | BM | Bermuda |
| ![BN](Images/BN@2x.png?raw=true) | BN | Brunei |
| ![BO](Images/BO@2x.png?raw=true) | BO | Bolivia |
| ![BR](Images/BR@2x.png?raw=true) | BR | Brazil |
| ![BS](Images/BS@2x.png?raw=true) | BS | Bahamas |
| ![BT](Images/BT@2x.png?raw=true) | BT | Bhutan |
| ![BV](Images/BV@2x.png?raw=true) | BV | Bouvet Island |
| ![BW](Images/BW@2x.png?raw=true) | BW | Botswana |
| ![BY](Images/BY@2x.png?raw=true) | BY | Belarus |
| ![BZ](Images/BZ@2x.png?raw=true) | BZ | Belize |
| ![CA](Images/CA@2x.png?raw=true) | CA | Canada |
| ![CC](Images/CC@2x.png?raw=true) | CC | Cocos (Keeling) Islands |
| ![CD](Images/CD@2x.png?raw=true) | CD | Congo - Kinshasa |
| ![CF](Images/CF@2x.png?raw=true) | CF | Central African Republic |
| ![CG](Images/CG@2x.png?raw=true) | CG | Congo - Brazzaville |
| ![CH](Images/CH@2x.png?raw=true) | CH | Switzerland |
| ![CI](Images/CI@2x.png?raw=true) | CI | Côte d’Ivoire |
| ![CK](Images/CK@2x.png?raw=true) | CK | Cook Islands |
| ![CL](Images/CL@2x.png?raw=true) | CL | Chile |
| ![CM](Images/CM@2x.png?raw=true) | CM | Cameroon |
| ![CN](Images/CN@2x.png?raw=true) | CN | China |
| ![CO](Images/CO@2x.png?raw=true) | CO | Colombia |
| ![CR](Images/CR@2x.png?raw=true) | CR | Costa Rica |
| ![CU](Images/CU@2x.png?raw=true) | CU | Cuba |
| ![CV](Images/CV@2x.png?raw=true) | CV | Cape Verde |
| ![CW](Images/CW@2x.png?raw=true) | CW | Curaçao |
| ![CX](Images/CX@2x.png?raw=true) | CX | Christmas Island |
| ![CY](Images/CY@2x.png?raw=true) | CY | Cyprus |
| ![CZ](Images/CZ@2x.png?raw=true) | CZ | Czech Republic |
| ![DE](Images/DE@2x.png?raw=true) | DE | Germany |
| ![DJ](Images/DJ@2x.png?raw=true) | DJ | Djibouti |
| ![DK](Images/DK@2x.png?raw=true) | DK | Denmark |
| ![DM](Images/DM@2x.png?raw=true) | DM | Dominica |
| ![DO](Images/DO@2x.png?raw=true) | DO | Dominican Republic |
| ![DZ](Images/DZ@2x.png?raw=true) | DZ | Algeria |
| ![EC](Images/EC@2x.png?raw=true) | EC | Ecuador |
| ![EE](Images/EE@2x.png?raw=true) | EE | Estonia |
| ![EG](Images/EG@2x.png?raw=true) | EG | Egypt |
| ![ER](Images/ER@2x.png?raw=true) | ER | Eritrea |
| ![ES](Images/ES@2x.png?raw=true) | ES | Spain |
| ![ET](Images/ET@2x.png?raw=true) | ET | Ethiopia |
| ![FI](Images/FI@2x.png?raw=true) | FI | Finland |
| ![FJ](Images/FJ@2x.png?raw=true) | FJ | Fiji |
| ![FK](Images/FK@2x.png?raw=true) | FK | Falkland Islands |
| ![FM](Images/FM@2x.png?raw=true) | FM | Micronesia |
| ![FR](Images/FR@2x.png?raw=true) | FR | France |
| ![GA](Images/GA@2x.png?raw=true) | GA | Gabon |
| ![GB](Images/GB@2x.png?raw=true) | GB | United Kingdom |
| ![GD](Images/GD@2x.png?raw=true) | GD | Grenada |
| ![GE](Images/GE@2x.png?raw=true) | GE | Georgia |
| ![GF](Images/GF@2x.png?raw=true) | GF | French Guiana |
| ![GG](Images/GG@2x.png?raw=true) | GG | Guernsey |
| ![GH](Images/GH@2x.png?raw=true) | GH | Ghana |
| ![GI](Images/GI@2x.png?raw=true) | GI | Gibraltar |
| ![GL](Images/GL@2x.png?raw=true) | GL | Greenland |
| ![GM](Images/GM@2x.png?raw=true) | GM | Gambia |
| ![GN](Images/GN@2x.png?raw=true) | GN | Guinea |
| ![GP](Images/GP@2x.png?raw=true) | GP | Guadeloupe |
| ![GQ](Images/GQ@2x.png?raw=true) | GQ | Equatorial Guinea |
| ![GR](Images/GR@2x.png?raw=true) | GR | Greece |
| ![GT](Images/GT@2x.png?raw=true) | GT | Guatemala |
| ![GU](Images/GU@2x.png?raw=true) | GU | Guam |
| ![GW](Images/GW@2x.png?raw=true) | GW | Guinea-Bissau |
| ![GY](Images/GY@2x.png?raw=true) | GY | Guyana |
| ![HK](Images/HK@2x.png?raw=true) | HK | Hong Kong SAR China |
| ![HM](Images/HM@2x.png?raw=true) | HM | Heard & McDonald Islands |
| ![HN](Images/HN@2x.png?raw=true) | HN | Honduras |
| ![HR](Images/HR@2x.png?raw=true) | HR | Croatia |
| ![HT](Images/HT@2x.png?raw=true) | HT | Haiti |
| ![HU](Images/HU@2x.png?raw=true) | HU | Hungary |
| ![ID](Images/ID@2x.png?raw=true) | ID | Indonesia |
| ![IE](Images/IE@2x.png?raw=true) | IE | Ireland |
| ![IL](Images/IL@2x.png?raw=true) | IL | Israel |
| ![IM](Images/IM@2x.png?raw=true) | IM | Isle of Man |
| ![IN](Images/IN@2x.png?raw=true) | IN | India |
| ![IO](Images/IO@2x.png?raw=true) | IO | British Indian Ocean Territory |
| ![IQ](Images/IQ@2x.png?raw=true) | IQ | Iraq |
| ![IR](Images/IR@2x.png?raw=true) | IR | Iran |
| ![IS](Images/IS@2x.png?raw=true) | IS | Iceland |
| ![IT](Images/IT@2x.png?raw=true) | IT | Italy |
| ![JE](Images/JE@2x.png?raw=true) | JE | Jersey |
| ![JM](Images/JM@2x.png?raw=true) | JM | Jamaica |
| ![JO](Images/JO@2x.png?raw=true) | JO | Jordan |
| ![JP](Images/JP@2x.png?raw=true) | JP | Japan |
| ![KE](Images/KE@2x.png?raw=true) | KE | Kenya |
| ![KG](Images/KG@2x.png?raw=true) | KG | Kyrgyzstan |
| ![KH](Images/KH@2x.png?raw=true) | KH | Cambodia |
| ![KI](Images/KI@2x.png?raw=true) | KI | Kiribati |
| ![KM](Images/KM@2x.png?raw=true) | KM | Comoros |
| ![KN](Images/KN@2x.png?raw=true) | KN | St. Kitts & Nevis |
| ![KP](Images/KP@2x.png?raw=true) | KP | North Korea |
| ![KR](Images/KR@2x.png?raw=true) | KR | South Korea |
| ![KW](Images/KW@2x.png?raw=true) | KW | Kuwait |
| ![KY](Images/KY@2x.png?raw=true) | KY | Cayman Islands |
| ![KZ](Images/KZ@2x.png?raw=true) | KZ | Kazakhstan |
| ![LA](Images/LA@2x.png?raw=true) | LA | Laos |
| ![LB](Images/LB@2x.png?raw=true) | LB | Lebanon |
| ![LC](Images/LC@2x.png?raw=true) | LC | St. Lucia |
| ![LI](Images/LI@2x.png?raw=true) | LI | Liechtenstein |
| ![LK](Images/LK@2x.png?raw=true) | LK | Sri Lanka |
| ![LR](Images/LR@2x.png?raw=true) | LR | Liberia |
| ![LS](Images/LS@2x.png?raw=true) | LS | Lesotho |
| ![LT](Images/LT@2x.png?raw=true) | LT | Lithuania |
| ![LU](Images/LU@2x.png?raw=true) | LU | Luxembourg |
| ![LV](Images/LV@2x.png?raw=true) | LV | Latvia |
| ![LY](Images/LY@2x.png?raw=true) | LY | Libya |
| ![MA](Images/MA@2x.png?raw=true) | MA | Morocco |
| ![MC](Images/MC@2x.png?raw=true) | MC | Monaco |
| ![MD](Images/MD@2x.png?raw=true) | MD | Moldova |
| ![ME](Images/ME@2x.png?raw=true) | ME | Montenegro |
| ![MG](Images/MG@2x.png?raw=true) | MG | Madagascar |
| ![MH](Images/MH@2x.png?raw=true) | MH | Marshall Islands |
| ![MK](Images/MK@2x.png?raw=true) | MK | Macedonia |
| ![ML](Images/ML@2x.png?raw=true) | ML | Mali |
| ![MM](Images/MM@2x.png?raw=true) | MM | Myanmar (Burma) |
| ![MN](Images/MN@2x.png?raw=true) | MN | Mongolia |
| ![MO](Images/MO@2x.png?raw=true) | MO | Macau SAR China |
| ![MP](Images/MP@2x.png?raw=true) | MP | Northern Mariana Islands |
| ![MR](Images/MR@2x.png?raw=true) | MR | Mauritania |
| ![MS](Images/MS@2x.png?raw=true) | MS | Montserrat |
| ![MT](Images/MT@2x.png?raw=true) | MT | Malta |
| ![MU](Images/MU@2x.png?raw=true) | MU | Mauritius |
| ![MV](Images/MV@2x.png?raw=true) | MV | Maldives |
| ![MW](Images/MW@2x.png?raw=true) | MW | Malawi |
| ![MX](Images/MX@2x.png?raw=true) | MX | Mexico |
| ![MY](Images/MY@2x.png?raw=true) | MY | Malaysia |
| ![MZ](Images/MZ@2x.png?raw=true) | MZ | Mozambique |
| ![NA](Images/NA@2x.png?raw=true) | NA | Namibia |
| ![NC](Images/NC@2x.png?raw=true) | NC | New Caledonia |
| ![NE](Images/NE@2x.png?raw=true) | NE | Niger |
| ![NF](Images/NF@2x.png?raw=true) | NF | Norfolk Island |
| ![NG](Images/NG@2x.png?raw=true) | NG | Nigeria |
| ![NI](Images/NI@2x.png?raw=true) | NI | Nicaragua |
| ![NL](Images/NL@2x.png?raw=true) | NL | Netherlands |
| ![NO](Images/NO@2x.png?raw=true) | NO | Norway |
| ![NP](Images/NP@2x.png?raw=true) | NP | Nepal |
| ![NR](Images/NR@2x.png?raw=true) | NR | Nauru |
| ![NU](Images/NU@2x.png?raw=true) | NU | Niue |
| ![NZ](Images/NZ@2x.png?raw=true) | NZ | New Zealand |
| ![OM](Images/OM@2x.png?raw=true) | OM | Oman |
| ![PA](Images/PA@2x.png?raw=true) | PA | Panama |
| ![PE](Images/PE@2x.png?raw=true) | PE | Peru |
| ![PF](Images/PF@2x.png?raw=true) | PF | French Polynesia |
| ![PG](Images/PG@2x.png?raw=true) | PG | Papua New Guinea |
| ![PH](Images/PH@2x.png?raw=true) | PH | Philippines |
| ![PK](Images/PK@2x.png?raw=true) | PK | Pakistan |
| ![PL](Images/PL@2x.png?raw=true) | PL | Poland |
| ![PM](Images/PM@2x.png?raw=true) | PM | St. Pierre & Miquelon |
| ![PN](Images/PN@2x.png?raw=true) | PN | Pitcairn Islands |
| ![PR](Images/PR@2x.png?raw=true) | PR | Puerto Rico |
| ![PS](Images/PS@2x.png?raw=true) | PS | Palestinian Territories |
| ![PT](Images/PT@2x.png?raw=true) | PT | Portugal |
| ![PW](Images/PW@2x.png?raw=true) | PW | Palau |
| ![PY](Images/PY@2x.png?raw=true) | PY | Paraguay |
| ![QA](Images/QA@2x.png?raw=true) | QA | Qatar |
| ![RE](Images/RE@2x.png?raw=true) | RE | Réunion |
| ![RO](Images/RO@2x.png?raw=true) | RO | Romania |
| ![RS](Images/RS@2x.png?raw=true) | RS | Serbia |
| ![RU](Images/RU@2x.png?raw=true) | RU | Russia |
| ![RW](Images/RW@2x.png?raw=true) | RW | Rwanda |
| ![SA](Images/SA@2x.png?raw=true) | SA | Saudi Arabia |
| ![SB](Images/SB@2x.png?raw=true) | SB | Solomon Islands |
| ![SC](Images/SC@2x.png?raw=true) | SC | Seychelles |
| ![SD](Images/SD@2x.png?raw=true) | SD | Sudan |
| ![SE](Images/SE@2x.png?raw=true) | SE | Sweden |
| ![SG](Images/SG@2x.png?raw=true) | SG | Singapore |
| ![SI](Images/SI@2x.png?raw=true) | SI | Slovenia |
| ![SJ](Images/SJ@2x.png?raw=true) | SJ | Svalbard & Jan Mayen |
| ![SK](Images/SK@2x.png?raw=true) | SK | Slovakia |
| ![SL](Images/SL@2x.png?raw=true) | SL | Sierra Leone |
| ![SM](Images/SM@2x.png?raw=true) | SM | San Marino |
| ![SN](Images/SN@2x.png?raw=true) | SN | Senegal |
| ![SO](Images/SO@2x.png?raw=true) | SO | Somalia |
| ![SR](Images/SR@2x.png?raw=true) | SR | Suriname |
| ![SS](Images/SS@2x.png?raw=true) | SS | South Sudan |
| ![ST](Images/ST@2x.png?raw=true) | ST | São Tomé & Príncipe |
| ![SV](Images/SV@2x.png?raw=true) | SV | El Salvador |
| ![SX](Images/SX@2x.png?raw=true) | SX | Sint Maarten |
| ![SY](Images/SY@2x.png?raw=true) | SY | Syria |
| ![SZ](Images/SZ@2x.png?raw=true) | SZ | Swaziland |
| ![TC](Images/TC@2x.png?raw=true) | TC | Turks & Caicos Islands |
| ![TD](Images/TD@2x.png?raw=true) | TD | Chad |
| ![TF](Images/TF@2x.png?raw=true) | TF | French Southern Territories |
| ![TG](Images/TG@2x.png?raw=true) | TG | Togo |
| ![TH](Images/TH@2x.png?raw=true) | TH | Thailand |
| ![TJ](Images/TJ@2x.png?raw=true) | TJ | Tajikistan |
| ![TL](Images/TL@2x.png?raw=true) | TL | Timor-Leste |
| ![TM](Images/TM@2x.png?raw=true) | TM | Turkmenistan |
| ![TN](Images/TN@2x.png?raw=true) | TN | Tunisia |
| ![TO](Images/TO@2x.png?raw=true) | TO | Tonga |
| ![TR](Images/TR@2x.png?raw=true) | TR | Turkey |
| ![TT](Images/TT@2x.png?raw=true) | TT | Trinidad & Tobago |
| ![TW](Images/TW@2x.png?raw=true) | TW | Taiwan |
| ![TZ](Images/TZ@2x.png?raw=true) | TZ | Tanzania |
| ![UA](Images/UA@2x.png?raw=true) | UA | Ukraine |
| ![UG](Images/UG@2x.png?raw=true) | UG | Uganda |
| ![UM](Images/UM@2x.png?raw=true) | UM | U.S. Outlying Islands |
| ![US](Images/US@2x.png?raw=true) | US | United States |
| ![UY](Images/UY@2x.png?raw=true) | UY | Uruguay |
| ![UZ](Images/UZ@2x.png?raw=true) | UZ | Uzbekistan |
| ![VA](Images/VA@2x.png?raw=true) | VA | Vatican City |
| ![VC](Images/VC@2x.png?raw=true) | VC | St. Vincent & Grenadines |
| ![VE](Images/VE@2x.png?raw=true) | VE | Venezuela |
| ![VG](Images/VG@2x.png?raw=true) | VG | British Virgin Islands |
| ![VI](Images/VI@2x.png?raw=true) | VI | U.S. Virgin Islands |
| ![VN](Images/VN@2x.png?raw=true) | VN | Vietnam |
| ![VU](Images/VU@2x.png?raw=true) | VU | Vanuatu |
| ![WF](Images/WF@2x.png?raw=true) | WF | Wallis & Futuna |
| ![WS](Images/WS@2x.png?raw=true) | WS | Samoa |
| ![XK](Images/XK@2x.png?raw=true) | XK | Kosovo |
| ![YE](Images/YE@2x.png?raw=true) | YE | Yemen |
| ![YT](Images/YT@2x.png?raw=true) | YT | Mayotte |
| ![ZA](Images/ZA@2x.png?raw=true) | ZA | South Africa |
| ![ZM](Images/ZM@2x.png?raw=true) | ZM | Zambia |
| ![ZW](Images/ZW@2x.png?raw=true) | ZW | Zimbabwe |

## License

FlagKit is released under the MIT license. See
[LICENSE](https://github.com/madebybowtie/FlagKit/blob/master/LICENSE).
